Debian Bug report logs - #539156
cups-pdf: requires user interaction on installation

Package: cups-pdf; Maintainer for cups-pdf is Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>; Source for cups-pdf is src:cups-pdf.

Reported by: Ronny Standtke <ronny.standtke@fhnw.ch>

Date: Wed, 29 Jul 2009 13:51:01 UTC

Severity: important

Tags: help

Merged with 614713

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Wed, 29 Jul 2009 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 29 Jul 2009 13:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: submit@bugs.debian.org
Subject: cups-pdf: requires user interaction on installation
Date: Wed, 29 Jul 2009 15:49:56 +0200
Package: cups-pdf
Version: 2.5.0-4
Justification: Policy 3.9.1
Severity: serious

*** Please type your report below this line ***

cups-pdf requires user interaction because of calling lpadmin in the
postinst script. This violates Debian policy "3.9.1 Prompting in
maintainer scripts". Quote: "Prompting must be done by communicating
through a program, such as debconf, which conforms to the Debian
Configuration Management Specification, version 2 or higher."

This bug breaks automatic build of Debian Live images:
http://lists.debian.org/debian-live/2009/07/msg00113.html

The same issue is also filed against the Ubuntu package:
https://bugs.launchpad.net/ubuntu/+source/cups-pdf/+bug/241700


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages cups-pdf depends on:
ii  cups                        1.3.11-1     Common UNIX Printing System(tm) -
ii  cups-client                 1.3.11-1     Common UNIX Printing System(tm) -
ii  ghostscript                 8.64~dfsg-13 The GPL Ghostscript PostScript/PDF
ii  libc6                       2.9-12       GNU C Library: Shared libraries
ii  libpaper-utils              1.1.23+nmu1  library for handling paper charact

cups-pdf recommends no packages.

Versions of packages cups-pdf suggests:
pn  system-config-printer-gnome | <none>     (no description available)

-- no debconf information

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Wed, 29 Jul 2009 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 29 Jul 2009 15:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>, 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#539156: cups-pdf: requires user interaction on installation
Date: Wed, 29 Jul 2009 18:17:43 +0300
On Wed, Jul 29, 2009 at 4:49 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
> Package: cups-pdf
> Version: 2.5.0-4
> Justification: Policy 3.9.1
> Severity: serious
>
> *** Please type your report below this line ***
>
> cups-pdf requires user interaction because of calling lpadmin in the
> postinst script. This violates Debian policy "3.9.1 Prompting in
> maintainer scripts". Quote: "Prompting must be done by communicating
> through a program, such as debconf, which conforms to the Debian
> Configuration Management Specification, version 2 or higher."

Excuse me, but exactly how is a fully automated run of lpadmin
supposed to qualify as user prompting?

> This bug breaks automatic build of Debian Live images:
> http://lists.debian.org/debian-live/2009/07/msg00113.html

Unable to reproduce.  Are you sure that CUPS correctly configured
before CUPS-PDF configuration started?

> The same issue is also filed against the Ubuntu package:
> https://bugs.launchpad.net/ubuntu/+source/cups-pdf/+bug/241700

That's against a rather old version of the same package.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Wed, 29 Jul 2009 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 29 Jul 2009 15:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: "q-funk@iki.fi" <q-funk@iki.fi>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: cups-pdf: requires user interaction on installation
Date: Wed, 29 Jul 2009 17:50:55 +0200
> Excuse me, but exactly how is a fully automated run of lpadmin
> supposed to qualify as user prompting?

By printing the following line on the console
"Password for root on localhost?"
and waiting for the user to provide input.

> Unable to reproduce.

What *exactly* happens when you execute the following both commands in a
new emtpy directory?
----------------
$ lh_config \
        --distribution squeeze \
        --packages "cups-pdf"

$ lh_build
----------------

Regards

Ronny

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 10:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 10:30:15 GMT) Full text and rfc822 format available.

Message #20 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 13:12:14 +0300
On Wed, Jul 29, 2009 at 6:50 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>> Excuse me, but exactly how is a fully automated run of lpadmin
>> supposed to qualify as user prompting?
>
> By printing the following line on the console
> "Password for root on localhost?"
> and waiting for the user to provide input.

It doesn't ask for anything here.

> What *exactly* happens when you execute the following both commands in a
> new emtpy directory?
> ----------------
> $ lh_config \
>        --distribution squeeze \
>        --packages "cups-pdf"
>
> $ lh_build
> ----------------

-bash: lh_config: command not found
-bash: lh_build: command not found

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 11:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 11:24:02 GMT) Full text and rfc822 format available.

Message #25 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: "539156@bugs.debian.org" <539156@bugs.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 13:15:41 +0200
> -bash: lh_config: command not found
> -bash: lh_build: command not found

$ sudo apt-get install live-helper
then try again

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 11:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 11:42:08 GMT) Full text and rfc822 format available.

Message #30 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>, 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 14:33:54 +0300
Checking with other members of the CUPS maintainer team, we noticed
hat the only case when lpadmin would ask for a password is when it's
run by a non-root user.  However, package installation (dpkg
execution) always happens under user root.  Thus, we fail to see how
the issue you describe could ever happen.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 11:57:07 GMT) Full text and rfc822 format available.

Message #35 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: "q-funk@iki.fi" <q-funk@iki.fi>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 13:55:56 +0200
> Checking with other members of the CUPS maintainer team, we noticed
> hat the only case when lpadmin would ask for a password is when it's
> run by a non-root user.  However, package installation (dpkg
> execution) always happens under user root.  Thus, we fail to see how
> the issue you describe could ever happen.

Could you please also check with the live-helper maintainers? Maybe they
can provide some more insight why installation of cups-pdf via
live-helper triggers this issue.

Regards

Ronny

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 12:21:02 GMT) Full text and rfc822 format available.

Message #40 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 15:16:15 +0300
On Thu, Jul 30, 2009 at 2:55 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>> Checking with other members of the CUPS maintainer team, we noticed
>> that the only case when lpadmin would ask for a password is when it's
>> run by a non-root user.  However, package installation (dpkg
>> execution) always happens under user root.  Thus, we fail to see how
>> the issue you describe could ever happen.
>
> Could you please also check with the live-helper maintainers? Maybe they
> can provide some more insight why installation of cups-pdf via
> live-helper triggers this issue.

I'll let them comment on this bug.

-- 
Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 12:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>, 539156@bugs.debian.org, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 15:31:53 +0300
On Thu, Jul 30, 2009 at 2:15 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>> -bash: lh_config: command not found
>> -bash: lh_build: command not found
>
> $ sudo apt-get install live-helper
> then try again

lh_config (no output)

lhconfig : Please note that the only way I could get lh_build to
perform anything was by calling 'sudo lh_build' as 'fakeroot lh_build'
would not work. Anyhow, the result was:

Processing triggers for man-db ...
Setting up console-data (2:1.07-11) ...
dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead.
Looking for keymap to install:
NONE
Setting up cups-pdf (2.5.0-4) ...
Setting up foomatic-db (20090616-1) ...
Setting up foomatic-filters (4.0-20090509-1) ...

Thus, I still fail to reproduce the bug that you reported.

-- 
Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 12:45:05 GMT) Full text and rfc822 format available.

Message #50 received at 539156@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: q-funk@iki.fi
Cc: Ronny Standtke <ronny.standtke@fhnw.ch>, "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 14:42:21 +0200
Martin-Éric Racine wrote:
> I'll let them comment on this bug.

nothing live specific, normal chroot with debconf priority criticial and
debconf frontend non-interactive.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 12:51:04 GMT) Full text and rfc822 format available.

Message #55 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: daniel@debian.org
Cc: Ronny Standtke <ronny.standtke@fhnw.ch>, "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 15:49:11 +0300
On Thu, Jul 30, 2009 at 3:42 PM, Daniel Baumann<daniel@debian.org> wrote:
> Martin-Éric Racine wrote:
>> I'll let them comment on this bug.
>
> nothing live specific, normal chroot with debconf priority criticial and
> debconf frontend non-interactive.

How is the developer who builds a CD image expected to execute
lh_build? Using fakeroot, sudo or some other method?

I'm just trying to determine what could possibly result in DPKG
exceptionally running as a non-root user, which is the only way that
lpadmin would ever get around prompting for a password. When executed
by the root user, lpadmin does not ask for a password.

-- 
Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 13:24:02 GMT) Full text and rfc822 format available.

Message #60 received at 539156@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: q-funk@iki.fi
Cc: Ronny Standtke <ronny.standtke@fhnw.ch>, "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 15:20:59 +0200
Martin-Éric Racine wrote:
> How is the developer who builds a CD image expected to execute
> lh_build? Using fakeroot, sudo or some other method?

as root (as the documentation somewhere says).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 30 Jul 2009 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 30 Jul 2009 18:00:04 GMT) Full text and rfc822 format available.

Message #65 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: daniel@debian.org
Cc: q-funk@iki.fi, "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 30 Jul 2009 19:56:02 +0200
Am Donnerstag, den 30.07.2009, 15:20 +0200 schrieb Daniel Baumann:
> Martin-Éric Racine wrote:
> > How is the developer who builds a CD image expected to execute
> > lh_build? Using fakeroot, sudo or some other method?
> 
> as root (as the documentation somewhere says).

Here are the steps to reproduce the bug:

1) Do a fresh installation of Debian GNU/Linux 5.0.2 with all default
values. We have VirtualBox OSE in Debian so this should be no problem...

2) Log in as root.

3) execute the following commands:
# apt-get install live-helper
# lh_config --distribution squeeze --packages "cups-pdf"
# lh_build

4) What happens?

Regards

Ronny Standtke

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Mon, 03 Aug 2009 12:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 03 Aug 2009 12:39:09 GMT) Full text and rfc822 format available.

Message #70 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: daniel@debian.org, "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Mon, 3 Aug 2009 15:34:57 +0300
On Thu, Jul 30, 2009 at 8:56 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
> Am Donnerstag, den 30.07.2009, 15:20 +0200 schrieb Daniel Baumann:
>> Martin-Éric Racine wrote:
>> > How is the developer who builds a CD image expected to execute
>> > lh_build? Using fakeroot, sudo or some other method?
>>
>> as root (as the documentation somewhere says).
>
> Here are the steps to reproduce the bug:
>
> 1) Do a fresh installation of Debian GNU/Linux 5.0.2 with all default
> values. We have VirtualBox OSE in Debian so this should be no problem...

It shouldn't but it was. The kernel inside VB keeps on getting a panic
during bootup. Full stop.
-- 
Martin-Éric




Severity set to 'important' from 'serious' Request was from <q-funk@iki.fi> to control@bugs.debian.org. (Mon, 03 Aug 2009 19:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Mon, 03 Aug 2009 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 03 Aug 2009 19:18:04 GMT) Full text and rfc822 format available.

Message #77 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@fhnw.ch>
To: "q-funk@iki.fi" <q-funk@iki.fi>, "539156@bugs.debian.org" <539156@bugs.debian.org>
Cc: Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Mon, 3 Aug 2009 21:17:05 +0200
> > 1) Do a fresh installation of Debian GNU/Linux 5.0.2 with all default
> > values. We have VirtualBox OSE in Debian so this should be no problem...
>
> It shouldn't but it was. The kernel inside VB keeps on getting a panic
> during bootup. Full stop.

Can you try installing Debian on a real physical machine or retry with the 
non-OSE version of Virtualbox (see below)?

$ wget 
http://download.virtualbox.org/virtualbox/3.0.2/virtualbox-3.0_3.0.2-49928_Debian_lenny_i386.deb
$ sudo dpkg -i virtualbox-3.0_3.0.2-49928_Debian_lenny_i386.deb

Regards

Ronny

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Mon, 03 Aug 2009 23:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 03 Aug 2009 23:09:02 GMT) Full text and rfc822 format available.

Message #82 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <Ronny.Standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Tue, 4 Aug 2009 02:05:40 +0300
On Mon, Aug 3, 2009 at 10:17 PM, Ronny Standtke<Ronny.Standtke@fhnw.ch> wrote:
>> > 1) Do a fresh installation of Debian GNU/Linux 5.0.2 with all default
>> > values. We have VirtualBox OSE in Debian so this should be no problem...
>>
>> It shouldn't but it was. The kernel inside VB keeps on getting a panic
>> during bootup. Full stop.
>
> Can you try installing Debian on a real physical machine or retry with the
> non-OSE version of Virtualbox (see below)?
>
> $ wget
> http://download.virtualbox.org/virtualbox/3.0.2/virtualbox-3.0_3.0.2-49928_Debian_lenny_i386.deb
> $ sudo dpkg -i virtualbox-3.0_3.0.2-49928_Debian_lenny_i386.deb

That worked.  Same result as before, though; unable to reproduce:
cups-pdf doesn't ask me for any password.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 06 Aug 2009 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 06 Aug 2009 17:18:03 GMT) Full text and rfc822 format available.

Message #87 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: q-funk@iki.fi
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 6 Aug 2009 19:15:37 +0200
> That worked.  Same result as before, though; unable to reproduce:
> cups-pdf doesn't ask me for any password.

It seems you did not (to quote myself) "Do a fresh installation of
Debian GNU/Linux 5.0.2 with all default values."
The last part is crucial to be able to reproduce this bug. Please make
sure that in the step "Software selection" you keep the option "Desktop
environment" selected.
When I left out this selection I also could not reproduce the bug.

This bug is really getting stranger every day. How can the software
selection outside of the chroot trigger an issue like that?!

Regards & thank you for your efforts

Ronny

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Wed, 19 Aug 2009 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 19 Aug 2009 22:45:04 GMT) Full text and rfc822 format available.

Message #92 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: 539156@bugs.debian.org
Subject: solved by CUPS-PDF 2.5.0-7 ?
Date: Thu, 20 Aug 2009 01:43:07 +0300
Is the issue solved by CUPS-PDF 2.5.0-7 ?

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 20 Aug 2009 09:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 20 Aug 2009 09:03:15 GMT) Full text and rfc822 format available.

Message #97 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 20 Aug 2009 11:56:39 +0300
On Thu, Aug 6, 2009 at 8:15 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>> That worked.  Same result as before, though; unable to reproduce:
>> cups-pdf doesn't ask me for any password.
>
> It seems you did not (to quote myself) "Do a fresh installation of
> Debian GNU/Linux 5.0.2 with all default values."
> The last part is crucial to be able to reproduce this bug. Please make
> sure that in the step "Software selection" you keep the option "Desktop
> environment" selected.
> When I left out this selection I also could not reproduce the bug.
>
> This bug is really getting stranger every day. How can the software
> selection outside of the chroot trigger an issue like that?!
>
> Regards & thank you for your efforts

Does CUPS-PDF 2.5.0-7 solves this issue for you?

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 27 Aug 2009 20:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 27 Aug 2009 20:48:08 GMT) Full text and rfc822 format available.

Message #102 received at 539156@bugs.debian.org (full text, mbox):

From: Ronny Standtke <ronny.standtke@fhnw.ch>
To: "q-funk@iki.fi" <q-funk@iki.fi>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Thu, 27 Aug 2009 22:35:06 +0200
> Does CUPS-PDF 2.5.0-7 solves this issue for you?

CUPS-PDF 2.5.0-7 is not in squeeze, only in sid. Therefore you can
reproduce the problem by executing the following two commands (as root
in a new empty directory):

# lh_config --distribution sid --packages "cups-pdf"
# lh_build

Unfortunately, the issue is still there. Here is the output I see on the
terminal:
------------
Setting up cups-pdf (2.5.0-7) ...
All runlevel operations denied by policy
Password for root on localhost? 
------------

Then lh_build is stuck because cups-pdf is blocking, waiting for user
input.

Regards

Ronny Standtke

-- 
Ronny Standtke                 Fachhochschule Nordwestschweiz
Dozent Medienpädagogik / ICT   Pädagogische Hochschule
Telefon: +41 32 627 92 47      Obere Sternengasse 7
Mobil  : +41 79 786 81 82      4502 Solothurn





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Sat, 29 Aug 2009 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 29 Aug 2009 11:09:04 GMT) Full text and rfc822 format available.

Message #107 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Sat, 29 Aug 2009 14:01:03 +0300
On Thu, Aug 27, 2009 at 11:35 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>> Does CUPS-PDF 2.5.0-7 solves this issue for you?
>
> CUPS-PDF 2.5.0-7 is not in squeeze, only in sid. Therefore you can
> reproduce the problem by executing the following two commands (as root
> in a new empty directory):
>
> # lh_config --distribution sid --packages "cups-pdf"
> # lh_build
>
> Unfortunately, the issue is still there. Here is the output I see on the
> terminal:
> ------------
> Setting up cups-pdf (2.5.0-7) ...
> All runlevel operations denied by policy
> Password for root on localhost?
> ------------
>
> Then lh_build is stuck because cups-pdf is blocking, waiting for user
> input.

Something tells me that it might be related to this recent bug #544137
against CUPS itself and, sure enough, what's asking for a password, in
your case, is lpadmin, which is provided by cups-client, from the CUPS
source package.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Thu, 03 Sep 2009 22:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 03 Sep 2009 22:09:08 GMT) Full text and rfc822 format available.

Message #112 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Ronny Standtke <ronny.standtke@fhnw.ch>
Cc: "539156@bugs.debian.org" <539156@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>, till.kamppeter@ubuntu.com
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Fri, 4 Sep 2009 00:50:23 +0300
2009/8/29 Martin-Éric Racine <q-funk@iki.fi>:
> On Thu, Aug 27, 2009 at 11:35 PM, Ronny Standtke<ronny.standtke@fhnw.ch> wrote:
>>> Does CUPS-PDF 2.5.0-7 solves this issue for you?
>>
>> CUPS-PDF 2.5.0-7 is not in squeeze, only in sid. Therefore you can
>> reproduce the problem by executing the following two commands (as root
>> in a new empty directory):
>>
>> # lh_config --distribution sid --packages "cups-pdf"
>> # lh_build
>>
>> Unfortunately, the issue is still there. Here is the output I see on the
>> terminal:
>> ------------
>> Setting up cups-pdf (2.5.0-7) ...
>> All runlevel operations denied by policy
>> Password for root on localhost?
>> ------------
>>
>> Then lh_build is stuck because cups-pdf is blocking, waiting for user
>> input.
>
> Something tells me that it might be related to this recent bug #544137
> against CUPS itself and, sure enough, what's asking for a password, in
> your case, is lpadmin, which is provided by cups-client, from the CUPS
> source package.

A fellow CUPS maintainer pointed out that the only case when root
could possibly be asked for a password by CUPS tools is when
/etc/cups/client.conf is configured to act on a remote CUPS daemon. In
that case, one cannot make any assumption about having access
credentials on the remote host as on the local host, thus why the
password is asked.

Given this, I'd have to ask:  do you have anything in your build
scripts that write to /etc/cups/client.conf by any chance?

Martin-Éric




Reply sent to Martin-Éric Racine <q-funk@iki.fi>:
You have taken responsibility. (Fri, 04 Sep 2009 00:27:03 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 00:27:03 GMT) Full text and rfc822 format available.

Message #117 received at 539156-close@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: 539156-close@bugs.debian.org
Subject: Bug#539156: fixed in cups-pdf 2.5.0-8
Date: Fri, 04 Sep 2009 00:02:05 +0000
Source: cups-pdf
Source-Version: 2.5.0-8

We believe that the bug you reported is fixed in the latest version of
cups-pdf, which is due to be installed in the Debian FTP archive:

cups-pdf_2.5.0-8.diff.gz
  to pool/main/c/cups-pdf/cups-pdf_2.5.0-8.diff.gz
cups-pdf_2.5.0-8.dsc
  to pool/main/c/cups-pdf/cups-pdf_2.5.0-8.dsc
cups-pdf_2.5.0-8_amd64.deb
  to pool/main/c/cups-pdf/cups-pdf_2.5.0-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539156@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin-Éric Racine <q-funk@iki.fi> (supplier of updated cups-pdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 03 Sep 2009 22:53:33 +0000
Source: cups-pdf
Binary: cups-pdf
Architecture: source amd64
Version: 2.5.0-8
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin-Éric Racine <q-funk@iki.fi>
Description: 
 cups-pdf   - PDF printer for CUPS
Closes: 539156
Changes: 
 cups-pdf (2.5.0-8) unstable; urgency=low
 .
   * Bumped Standards-Version to 3.8.3 (no change required).
   * Inserted explicit "-h localhost" option to every lpadmin and lpstat
     invocation in postinst (Closes: #539156).
Checksums-Sha1: 
 412c4e865e92271c94d3ef261746d26b31f9f8be 1084 cups-pdf_2.5.0-8.dsc
 30612b7c41469baca557bb3bf923b323dcf6648c 11346 cups-pdf_2.5.0-8.diff.gz
 ff0d5ae00a0d58c828c67437db99a12043c3d3ba 45096 cups-pdf_2.5.0-8_amd64.deb
Checksums-Sha256: 
 553fb9c18efe246c447d8ff9ecf337dfd8ef4b46c686ca0ded1d5197dbde65b5 1084 cups-pdf_2.5.0-8.dsc
 4593965093e34b7e48a29772ae4b3e8db58fc8bf2acd61ab87054bd5d1aa172f 11346 cups-pdf_2.5.0-8.diff.gz
 140116aed11b888dfe66dfc63290436da52e27e9049c9e6c6f80eba6181b82eb 45096 cups-pdf_2.5.0-8_amd64.deb
Files: 
 8b072226420d1bb7065019555101b9c5 1084 graphics optional cups-pdf_2.5.0-8.dsc
 b9e712b39ec2c8e1dd56003b485c16a1 11346 graphics optional cups-pdf_2.5.0-8.diff.gz
 a5f8c5bf2e23803dcba4cc5abde5952c 45096 graphics optional cups-pdf_2.5.0-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREKAAYFAkqgV+gACgkQQKW+7XLQPLFrrQCeLOT/86HLLBQNlYJPN3Av+Ejy
JPAAnRtvKzKF5AEhc/kVCqrHo9yLyuSO
=8ANR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-pdf. (Sun, 11 Oct 2009 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Browning <rlb@defaultvalue.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 11 Oct 2009 18:51:02 GMT) Full text and rfc822 format available.

Message #122 received at 539156@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 539156@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#539156: Bug#539156: cups-pdf: requires user interaction on installation
Date: Sun, 11 Oct 2009 11:46:30 -0700
reopen 539156
thanks

I was just upgrading a machine here from 2.5.0-1 to 2.5.0-8, and hit
this same problem:

  Setting up cups-pdf (2.5.0-8) ...
  Reloading Common Unix Printing System: cupsd.
  Password for root on localhost? 

So apparently 2.5.0-8 doesn't fix it.  (This is a regular, physical
machine, not virtualized, etc.)

If it matters, I believe this machine does have a customized cupsd.conf
wrt allow/deny, etc.

Let me know if I can help.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org; previously @cs.utexas.edu
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4




Bug No longer marked as fixed in versions cups-pdf/2.5.0-8 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Oct 2009 18:51:08 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Martin-Éric Racine <q-funk@ubuntu.com> to control@bugs.debian.org. (Fri, 23 Oct 2009 15:33:17 GMT) Full text and rfc822 format available.

Merged 539156 614713. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 02:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'cups-pdf' to 'cups-client'. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 10:42:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions cups-pdf/2.5.0-4 and cups-pdf/2.5.0-16. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Wed, 23 Feb 2011 10:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-client. (Sun, 24 Apr 2011 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 04:30:03 GMT) Full text and rfc822 format available.

Message #137 received at 539156@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: 614713@bugs.debian.org
Cc: 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: cups-pdf: installation asks for a password
Date: Sun, 24 Apr 2011 06:15:48 +0200
Hi Guys,

I did some strace'ing of the troubling lpadmin invocation both on the
host rootfs and within the chroot and after the connect() call I noticed
some numeric named files in /var/run/cups/certs get accessed:

Host:
--------8<---------
connect(4, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
sendto(4, "POST /admin/ HTTP/1.1\r\nContent-L"..., 140, 0, NULL, 0) = 140
brk(0x7f64f8a26000)                     = 0x7f64f8a26000
sendto(4, "\1\1@\3\0\0\0\1\1G\0\22attributes-charset\0\5"..., 173, 0,
NULL, 0) = 173
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL,
NULL) = 803
open("/var/run/cups/certs/4099", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/var/run/cups/certs/0", O_RDONLY) = 5
--------8<---------

Chroot:
--------8<---------
connect(4, {sa_family=AF_INET, sin_port=htons(631),
sin_addr=inet_addr("127.0.0.1")}, 16) = 0
sendto(4, "POST /admin/ HTTP/1.1\r\nContent-L"..., 140, 0, NULL, 0) = 140
brk(0x7f37285c1000)                     = 0x7f37285c1000
sendto(4, "\1\1@\3\0\0\0\1\1G\0\22attributes-charset\0\5"..., 173, 0,
NULL, 0) = 173
poll([{fd=4, events=POLLIN}], 1, 1000)  = 1 ([{fd=4, revents=POLLIN}])
recvfrom(4, "HTTP/1.1 100 Continue\r\n\r\nHTTP/1."..., 2048, 0, NULL,
NULL) = 803
open("/var/run/cups/certs/13154", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/var/run/cups/certs/0", O_RDONLY) = -1 ENOENT (No such file or
directory)
--------8<---------

While the first calls to 4099/13154 fail on both sides, access to "0"
succeeds on the host while "0" isn't present in the chroot. After I
manually copied that file from host to chroot and did a chgrp lpadmin 0,
lpadmin went through with it just fine.

So, obviously that has something to do with encryption, which IMO in
this case is superfluous since the connection is made to localhost.
Would not making encryption mandatory for -d, -p, -x, -E (as it is right
now, according to the manpage) in case the connection is made to
localhost be the right way to solve this?

HTH, cheers,

Daniel

PS: Please let me know if the CC to #539156 was necessary or if the
subscribers got merged as well when these bugs were merged...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#539156; Package cups-client. (Sun, 24 Apr 2011 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 10:18:09 GMT) Full text and rfc822 format available.

Message #142 received at 539156@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Daniel Reichelt <debian@nachtgeist.net>, 614713@bugs.debian.org
Cc: 539156@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#614713: Bug#614713: cups-pdf: installation asks for a password
Date: Sun, 24 Apr 2011 13:16:09 +0300
2011/4/24 Daniel Reichelt <debian@nachtgeist.net>:

> I did some strace'ing of the troubling lpadmin invocation both on the
> host rootfs and within the chroot and after the connect() call I noticed
> some numeric named files in /var/run/cups/certs get accessed:

> So, obviously that has something to do with encryption, which IMO in
> this case is superfluous since the connection is made to localhost.

Sure enough, we had a superfluous -E in our queue creation loop. I
just removed it and uploaded the fix as 2.5.1-3. Many, many thanks for
figuring this one out!

Cheers!
Martin-Éric




Bug reassigned from package 'cups-client' to 'cups-pdf'. Request was from Martin-Éric Racine <martin-eric.racine@iki.fi> to control@bugs.debian.org. (Tue, 26 Apr 2011 11:12:03 GMT) Full text and rfc822 format available.

Reply sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
You have taken responsibility. (Tue, 26 Apr 2011 11:21:42 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <ronny.standtke@fhnw.ch>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 11:21:48 GMT) Full text and rfc822 format available.

Message #149 received at 539156-close@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: 539156-close@bugs.debian.org
Subject: Bug#539156: fixed in cups-pdf 2.5.1-3
Date: Tue, 26 Apr 2011 11:17:09 +0000
Source: cups-pdf
Source-Version: 2.5.1-3

We believe that the bug you reported is fixed in the latest version of
cups-pdf, which is due to be installed in the Debian FTP archive:

cups-pdf_2.5.1-3.diff.gz
  to main/c/cups-pdf/cups-pdf_2.5.1-3.diff.gz
cups-pdf_2.5.1-3.dsc
  to main/c/cups-pdf/cups-pdf_2.5.1-3.dsc
cups-pdf_2.5.1-3_amd64.deb
  to main/c/cups-pdf/cups-pdf_2.5.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539156@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin-Éric Racine <martin-eric.racine@iki.fi> (supplier of updated cups-pdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Apr 2011 13:21:19 +0300
Source: cups-pdf
Binary: cups-pdf
Architecture: source amd64
Version: 2.5.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin-Éric Racine <martin-eric.racine@iki.fi>
Description: 
 cups-pdf   - PDF printer for CUPS
Closes: 539156 614713
Changes: 
 cups-pdf (2.5.1-3) unstable; urgency=low
 .
   * Remove the superfluous -E option to the queue creation loop. This was
     unnecessary to access the localhost plus it sometimes makes automated
     installs fail. (Closes: #614713,#539156).
     Many thanks to Daniel Reichelt for finding this long-standing issue!
   * Bumped Standards-Version to 3.9.2 (no change required).
Checksums-Sha1: 
 48bcdfd7ab2d4d5ecbc2df79f712207f29199b4c 1719 cups-pdf_2.5.1-3.dsc
 07860b311e26b9bb3795fbda1187c383798550af 10357 cups-pdf_2.5.1-3.diff.gz
 f6f46cf25d47159dd828e70ff94280d3fffa897a 48188 cups-pdf_2.5.1-3_amd64.deb
Checksums-Sha256: 
 5a47017127c0c029759ecf19d45c48d329761eab0b9c0fa61b9bd948296c691e 1719 cups-pdf_2.5.1-3.dsc
 94c6317ed1af96acaeedd7f0decf18596651f282d48a0784716f5e3ddd7da1a4 10357 cups-pdf_2.5.1-3.diff.gz
 26fa1dffe19c7881fb1707f628327b2ddc7f88cacdcb2ef2e9a11087bef00b50 48188 cups-pdf_2.5.1-3_amd64.deb
Files: 
 30c27df6a85bc61176577fb5423e9eeb 1719 graphics optional cups-pdf_2.5.1-3.dsc
 435a8157a45778a8aab15109c1225af9 10357 graphics optional cups-pdf_2.5.1-3.diff.gz
 0d8e021035f74b2e35318b566787df70 48188 graphics optional cups-pdf_2.5.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNtqgPAAoJEPmIJawmtHufE7QQALlHjCYxUGFvhSNtWuI/EBF9
zqk4pB7Jc7u4t4whWEbAnHew9wILPcVdp4qch5ExfCdV+8ZAnXqTOkL81+h+Z7x2
nPyvDQUDNiMsvmC+qiSGzgtZA5tGa7t3hiSFm9xst8bbOV8Ol200MHyvfc8hVKiz
m2M/NQ4jAe19KrJzDvUkrmgzjgHIaVg53MypNzA07JjwCzI4dGtlxMLrC602zKPf
N9bXWH1PP2JjNnb8y1froBiCZ8FXcKbGd+EX0FAs+fqdCM6yLvK4T7J+Gfdt+Ner
1hO41mPgzM5itZ7hGwNTKwAN//lB/if4Pt+K8+svdKOtU0yU+YWZa9SZSK2Vdx4L
Bew4vEoMpIWFWj0KE1wYzycX1VFkfIrOPtmc62r/YlnBcdLIJRqCnkZhkIo+Unrs
osyeiU36/RMiXk/vQiTYA7nz35WiahFN/VKr+IhfSqdszEO27/VSjPFE67fKV7Wb
zUWp8DXm5Bmygu0/eWgpUj3IrmrCY/mpgzzzGDwet6uiKS9+jDnIASJUQe0ocjix
vMm0xOM7eMBtCiA+A/H4swx1flVi7Nmcexkb3Eberyw4jxFJkxUAVduVDwXPwvC0
xcjXVdTsPUo0TwYJc8TxPrGBi/Oin08dqMuzTt5eCSgoCbzVn5KQnh4IPE5sAZCL
D6EWKWAMQLt4msLJdlFI
=MXlH
-----END PGP SIGNATURE-----





Reply sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
You have taken responsibility. (Tue, 26 Apr 2011 11:21:53 GMT) Full text and rfc822 format available.

Notification sent to Krasu <ksquirrel.iv@gmail.com>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 11:21:57 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Jun 2011 07:33:02 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions cups-pdf/2.5.1-3. Request was from Daniel Reichelt <debian@nachtgeist.net> to control@bugs.debian.org. (Tue, 09 Oct 2012 02:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:16:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.